[blfs-dev] plasma5

Ken Moffat zarniwhoop at ntlworld.com
Thu Sep 24 18:54:24 PDT 2015


On Thu, Sep 24, 2015 at 08:33:20PM -0500, Bruce Dubbs wrote:
> I'm trying to test build plasma5 using version 5.4.1.
> 
> So far I see we need to add wayland and libinput.  mesalib needs to be built
> after wayland.
> 
> I've gotten to kwin-5.4.1 and it gives me:
> 
> CMake Error at
> /usr/share/cmake-3.3/Modules/FindPackageHandleStandardArgs.cmake:148
> (message):
>   Could NOT find XCB (missing: CURSOR)
> 
> 
> There is xcb-util-cursor-0.1.2.tar.gz.  I don't have a problem with
> installing it, but has anyone else built this version of plasma?  Is this
> really needed?
> 
>   -- Bruce

Yes, I built it, and it enabled kwin to compile.  Hmm, I did not
spot that 5.4.1 had been released, I built 5.4.0.

Other things which have changed between 5.11/5.3.1 and 5.14.0/5.4.0  :
kio-extras is now part of 'applications' (15.08.0 when I built it),
and baloo is now part of kf5 and now requires lmdb (I used
lmdb_LMDB_0.9.16).

ĸen
-- 
Il Porcupino Nil Sodomy Est! (if you will excuse my latatian)
  aka "The hedgehog song"


More information about the blfs-dev mailing list